List redemptions
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/redemptions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/redemptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/redemptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"has_next_page": true,
"items": [
{
"id": "<string>",
"reward_id": "<string>",
"tenant_id": "<string>",
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"reward": {
"id": "<string>",
"title": "<string>",
"description": "<string>",
"is_active": true,
"onchain_asset": {
"id": "<string>",
"asset_address": "<string>",
"chain_id": 123,
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"type": "<string>"
},
"xp_cost": "<string>"
},
"tenant": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"email": "<string>",
"id": "<string>",
"username": "<string>"
},
"xp_spent": "<string>"
}
],
"limit": 123,
"page": 123,
"total_count": 123,
"total_pages": 123
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Redemptions
List redemptions
Pages the redemptions raised by your customers through the Portal API.
See the Gateway API entry for the full description.
GET
/
tenant
/
{tenantId}
/
redemptions
List redemptions
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/redemptions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/redemptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/redemptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"has_next_page": true,
"items": [
{
"id": "<string>",
"reward_id": "<string>",
"tenant_id": "<string>",
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"reward": {
"id": "<string>",
"title": "<string>",
"description": "<string>",
"is_active": true,
"onchain_asset": {
"id": "<string>",
"asset_address": "<string>",
"chain_id": 123,
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"type": "<string>"
},
"xp_cost": "<string>"
},
"tenant": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"email": "<string>",
"id": "<string>",
"username": "<string>"
},
"xp_spent": "<string>"
}
],
"limit": 123,
"page": 123,
"total_count": 123,
"total_pages": 123
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Authorizations
Auth0 access token
Path Parameters
Query Parameters
Available options:
initialized, pending, succeeded, failed, canceled ⌘I

